/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */

import {LitElement, html, css} from 'lit';
import {customElement} from 'lit/decorators.js';

/**
 * An example element.
 *
 * @slot - This element has a slot
 */
@customElement('iu-group')

export class Group extends LitElement {
  static override styles = css`
    :host{
      display: block;
      margin-bottom: var(--iu-spacing-block); 
    }
  `

  override render() {
    return html`
      <slot></slot>
    `;
  }

}

declare global {
  interface HTMLElementTagNameMap {
    'iu-group': Group;
  }
}
